//+------------------------------------------------------------------+
//|                                                     BearsBullsProfitFactor.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 2       //  
#property indicator_color1 Red  //   
#property indicator_color2 Green      //   

extern int BearsBullsPFPeriod=13;           //    

double Buf_0[],Buf_1[];             //   
//--------------------------------------------------------------------
int init()                          //   init()
  {
//-------------------------------------------------------------------
  string short_name;
  SetIndexBuffer(0,Buf_0);         //   
  SetIndexStyle (0,DRAW_HISTOGRAM,0,3);//  
//--------------------------------------------------------------------
   SetIndexBuffer(1,Buf_1);         //   
   SetIndexStyle (1,DRAW_HISTOGRAM,0,3);//  
//--------------------------------------------------------------------
//---- name for DataWindow and indicator subwindow label
   short_name="BearsBullsPF("+BearsBullsPFPeriod+")";
  //---- name for DataWindow and indicator subwindow label
    IndicatorShortName(short_name);
    SetIndexLabel(0,short_name);
   return;                          //   . - init()
  }
//--------------------------------------------------------------------
int start()                         //   start()
  {
   int i,                           //  
       n,                           //  
       Counted_bars;                //    
       double
       Sum_O,                       //   Open  
       Sum_C;                       //   Close   
//--------------------------------------------------------------------
   Counted_bars=IndicatorCounted(); //    
   i=Bars-Counted_bars-1;           //   
   while(i>=0)                      //    
     {
      Sum_O=0;                      //    
      Sum_C=0;                      //    
      for(n=i;n<=i+BearsBullsPFPeriod-1;n++) //    
        {
         Sum_O=Sum_O + Open[n]-Close[n];     //    
         Sum_C=Sum_C + Close[n]-Open[n];      //     
        }
      Buf_0[i]=Sum_O/BearsBullsPFPeriod;     //  0   i- 
      Buf_1[i]=Sum_C/BearsBullsPFPeriod;     //  1   i- 

      i--;                          //    
     }
//--------------------------------------------------------------------
   return;                          //   . - start()
  }
//--------------------------------------------------------------------